Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.handler
Class ClientHandlerChain

    java.lang.Object
      org.jboss.webservice.handler.HandlerChainBaseImpl
          org.jboss.webservice.handler.ClientHandlerChain

All Implemented Interfaces:
  Collection, javax.xml.rpc.handler.HandlerChain, List

public class ClientHandlerChain
extends HandlerChainBaseImpl

No special behaviour required on the client side.

Since:
  06-May-2004
Author:
  Thomas.Diesler@jboss.org

Field Summary

Fields inherited from class org.jboss.webservice.handler.HandlerChainBaseImpl
`falseIndex, handlers, roles, state, STATE_CREATED, STATE_DESTROYED, STATE_DOES_NOT_EXIST, STATE_READY`

Constructor Summary
`ClientHandlerChain(List infos, Set roles)`

Method Summary
`boolean` | `handleResponse(javax.xml.rpc.handler.MessageContext msgContext)` Initiates the response processing for this handler chain.

Methods inherited from class org.jboss.webservice.handler.HandlerChainBaseImpl
`add, add, addAll, addAll, checkMustUnderstand, clear, contains, containsAll, destroy, equals, get, getHandlerAt, getRoles, getState, handleFault, handleRequest, hashCode, indexOf, init, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceDirtyHandlers, retainAll, set, setRoles, size, subList, toArray, toArray, traceSOAPPart`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientHandlerChain

    public ClientHandlerChain(List infos,
                              Set roles)

Method Detail

### handleResponse

    public boolean handleResponse(javax.xml.rpc.handler.MessageContext msgContext)

  Initiates the response processing for this handler chain.

  Specified by:
    `handleResponse` in interface `javax.xml.rpc.handler.HandlerChain`
  Overrides:
    `handleResponse` in class `HandlerChainBaseImpl`
  Returns:
    Returns true if all handlers in chain have been processed. Returns false if a handler in the chain returned false from its handleResponse method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.